export interface FormatSpecifier {
    propertyKey: (key: string) => string;
    constructorTag: (ctor: string) => string;
    arrayPrefix: string;
    indent: string;
    threwAlert: (error: any) => string;
    sparseArrayIndex: (index: number | string) => string;
    circular: string;
    multilineMargin: string;
    number: (num: number) => string;
    string: (str: string) => string;
    symbol: (sym: Symbol) => string;
    boolean: (bool: boolean) => string;
    date: (date: Date) => string;
    regexp: (regexp: RegExp) => string;
    nul: string;
    undefined: string;
    fallback: (obj: object) => string | null;
    scalarObjectTag: (obj: any) => string;
}
export declare type YamprintTheme = {
    [K in keyof FormatSpecifier]?: (s: string) => string;
};
export declare class YamprintFormatter implements FormatSpecifier {
    private _formatCtorTag(line);
    scalarObjectTag(obj: any): string;
    propertyKey(key: string): string;
    theme(theme: YamprintTheme): any;
    constructorTag(instance: any): string;
    sparseArrayIndex(ix: number | string): string;
    function(f: Function): string;
    threwAlert(err: any): string;
    circular: string;
    arrayPrefix: string;
    indent: string;
    number(n: any): any;
    multilineMargin: string;
    string(s: string): string;
    symbol(s: any): any;
    boolean(b: any): any;
    undefined: string;
    nul: string;
    date(d: any): any;
    regexp(r: any): any;
    fallback(o: any): string;
    formatScalar(value: any): string | null;
}
